com.io7m.smfj.bytebuffer

## Class SMFByteBufferPackedTriangles.Builder

- java.lang.Object
- - com.io7m.smfj.bytebuffer.SMFByteBufferPackedTriangles.Builder

- Enclosing class:
    SMFByteBufferPackedTriangles

      public static final class SMFByteBufferPackedTriangles.Builder
      extends Object

  Builds instances of type `SMFByteBufferPackedTriangles`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SMFByteBufferPackedTriangles` | `build()` Builds a new `SMFByteBufferPackedTriangles`.
    `SMFByteBufferPackedTriangles.Builder` | `from(SMFByteBufferPackedTrianglesType instance)` Fill a builder with attribute values from the provided `SMFByteBufferPackedTrianglesType` instance.
    `SMFByteBufferPackedTriangles.Builder` | `setByteBuffer(ByteBuffer byteBuffer)` Initializes the value for the `byteBuffer` attribute.
    `SMFByteBufferPackedTriangles.Builder` | `setTriangleCount(long triangleCount)` Initializes the value for the `triangleCount` attribute.
    `SMFByteBufferPackedTriangles.Builder` | `setTriangleIndexSizeBits(int triangleIndexSizeBits)` Initializes the value for the `triangleIndexSizeBits` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final SMFByteBufferPackedTriangles.Builder from(SMFByteBufferPackedTrianglesType instance)

      Fill a builder with attribute values from the provided `SMFByteBufferPackedTrianglesType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setByteBuffer

          public final SMFByteBufferPackedTriangles.Builder setByteBuffer(ByteBuffer byteBuffer)

      Initializes the value for the `byteBuffer` attribute.
      Parameters:
        `byteBuffer` - The value for byteBuffer
      Returns:
        `this` builder for use in a chained invocation

    - #### setTriangleCount

          public final SMFByteBufferPackedTriangles.Builder setTriangleCount(long triangleCount)

      Initializes the value for the `triangleCount` attribute.
      Parameters:
        `triangleCount` - The value for triangleCount
      Returns:
        `this` builder for use in a chained invocation

    - #### setTriangleIndexSizeBits

          public final SMFByteBufferPackedTriangles.Builder setTriangleIndexSizeBits(int triangleIndexSizeBits)

      Initializes the value for the `triangleIndexSizeBits` attribute.
      Parameters:
        `triangleIndexSizeBits` - The value for triangleIndexSizeBits
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public SMFByteBufferPackedTriangles build()

      Builds a new `SMFByteBufferPackedTriangles`.
      Returns:
        An immutable instance of SMFByteBufferPackedTriangles
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com